<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php

if($control){//cuando se hizo el submit
  
    $o_PrestamoBean = new PrestamoBean();
    $o_PrestamoBean->setIdPrestamo($id);
    $o_PrestamoBean->setIdCliente($IdCliente);
    $o_PrestamoBean->setMontoPrestado($txtCapital);
    $o_PrestamoBean->setInteresPorcentaje($cboInteres);
    $montoTotal = $txtCapital*($cboInteres/100+1);
    $o_PrestamoBean->setMontoTotal($montoTotal);
    $o_PrestamoBean->setFechaInicio($FechaInicio);
    $fecha_ini= $FechaInicio;
    $o_PrestamoBean->setGastoAdministrativo($txtGastoAdministrativo);
    $o_PrestamoBean->setPeriodicidadPago($cboFormaPago);
    $o_PrestamoBean->setDuracion($cboDuracion); 
    $o_PrestamoBean->setOrigen($cboOrigen);
    
    switch ($cboFormaPago){
    	case "D" : 
    			switch ($cboDuracion){	
    				case 15 : $MontoCuota = round($montoTotal/13,2);
    						  
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days'));
    						  $NroCuotas=13; break;
    				case 30 : $MontoCuota = round($montoTotal/26,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +30 days'));
    						  $NroCuotas=26; break;
    				case 45 : $MontoCuota = round($montoTotal/39,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +45 days'));
    						  $NroCuotas=39; break;
    				case 60 : $MontoCuota = round($montoTotal/52,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +60 days'));
    						  $NroCuotas=52; break;
    				case 75 : $MontoCuota = round($montoTotal/65,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +75 days'));
    						  $NroCuotas=65; break;
    				case 90 : $MontoCuota = round($montoTotal/88,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +90 days'));
    						  $NroCuotas=88; break;
    			}
    			break;
    	case "S":
    			switch ($cboDuracion){	
    				case 15 : $MontoCuota = round($montoTotal/2,2);
    				  		  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days'));
    						  $NroCuotas=2; break;
    				case 30 : $MontoCuota = round($montoTotal/4,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +30 days'));
    						  $NroCuotas=4; break;
    				case 45 : $MontoCuota = round($montoTotal/6,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +45 days'));
    						  $NroCuotas=6; break;
    				case 60 : $MontoCuota = round($montoTotal/8,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +60 days'));
    						  $NroCuotas=8; break;
    				case 75 : $MontoCuota = round($montoTotal/10,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +75 days'));
    						  $NroCuotas=10; break;
    				case 90 : $MontoCuota = round($montoTotal/12,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +90 days'));
    						  $NroCuotas=12; break;
    			}
    			break;
    	case "Q":
    			switch ($cboDuracion){	
    				case 15 : $MontoCuota = round($montoTotal/1,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days')); 
    						  $NroCuotas=1; break;
    				case 30 : $MontoCuota = round($montoTotal/2,2);
  							  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +30 days'));  				
    						  $NroCuotas=2; break;
    				case 45 : $MontoCuota = round($montoTotal/3,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +45 days'));
    						  $NroCuotas=3; break;
    				case 60 : $MontoCuota = round($montoTotal/4,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +60 days'));
    						  $NroCuotas=4; break;
    				case 75 : $MontoCuota = round($montoTotal/5,2);
  							  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +75 days'));  				
    						  $NroCuotas=5; break;
    				case 90 : $MontoCuota = round($montoTotal/6,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +90 days'));
    						  $NroCuotas=6; break;
    			}
    			break;
    	case "M":
    			switch ($cboDuracion){	
    				
    				case 30 : $MontoCuota = round($montoTotal/1,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +30 days'));
    						  $NroCuotas=1; break;
    				case 60 : $MontoCuota = round($montoTotal/2,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +60 days'));
    						  $NroCuotas=2; break;
    				case 90 : $MontoCuota = round($montoTotal/3,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +90 days'));
    						  $NroCuotas=3; break;
    			}
    			break;
    }
    if($cboDuracion){
    $o_PrestamoBean->setCuotaPago($MontoCuota);
    $o_PrestamoBean->setFechaVencimiento($fechaVencimiento);
    $InteresMonto=$montoTotal-$txtCapital;
    $o_PrestamoBean->setInteresMonto($InteresMonto);
    $o_PrestamoBean->setNroCuotas($NroCuotas);
    $o_PrestamoBean->setObservacion($txtObservacion);  
    $o_PrestamoBean->setSaldoPrestamo($txtSaldoPrestamo); 
    $o_PrestamoBean->setEstado($cboEstado);
    
    $o_PrestamoBean->setFechaModificacion(date("Y-m-d"));
  	$o_PrestamoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
    
  	 
    $o_PrestamoBL = new PrestamoBL();
    $bResult = $o_PrestamoBL->modificarPrestamo($o_PrestamoBean);
    }
    if($bResult){
    ?>
       <script language="JavaScript">
	    parent.objMainTab.reqBody('<?=buildUrl('pag/list')?>','&block=001&insert=1&id=<?=$o_PrestamoBean->getIdPrestamo()?>');
        parent.objMainTab.windowsCloseAll();
      </script>
    <?
    }
}


 if($id){
	 	
	$o_PrestamoBean = new PrestamoBean();
	$o_PrestamoBean->setIdPrestamo($id);
	$o_class = new PrestamoBL();
	$a_ObjectBean = $o_class->busquedaPrestamo($o_PrestamoBean);
}


if(is_array($a_ObjectBean)){
  while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  	
  	$o_ClienteBean = new ClienteBean();
	$o_ClienteBean->setIdCliente($o_ObjectBean->getIdCliente());
	$o_class = new ClienteBL();
	$a_ObjectCliente = $o_class->busquedaCliente($o_ClienteBean);
	
	while(list($keyCli,$o_ObjectBeanCli) = each($a_ObjectCliente)){
		$Nombre = $o_ObjectBeanCli->getNombreCompleto();		
		$o_MercadoBean = new MercadoBean();
		$o_MercadoBean->setIdMercado($o_ObjectBeanCli->getIdMercado());
		$o_class = new MercadoBL();
		$ObjectBean = $o_class->busquedaMercado($o_MercadoBean);
		
		$NombreMercado = $ObjectBean[0]->getDescripcion();
	}
	  	
?>
<script>

function cacularFechaFinal(){
	alert("Hola");
	FechaIniacial = $('FechaInicio').value;
	if(FechaIniacial != "" ){
		FechaIniacial =  parseFloat(FechaIniacial);
		
	}else{
		FechaIniacial=0;
	}
	//$('FechaVencimiento').value = FechaIniacial + xx ;
}

function cacularTotal(){
	monto = $('txtCapital').value;
	if( monto != ""){
		monto = parseFloat(monto);
	}else{
		monto = 0;
	}
	if($('cboInteres').selectedIndex > 0){
		interes = parseFloat($('cboInteres').value);
	}else{
		interes = 0;
	}
	
	if ($('cboFormaPago').selectedIndex > -1){
		
		switch ($('cboFormaPago').value){
			 
	    	case "D" : 
	    	
	    	      if ($('cboDuracion').selectedIndex > -1){
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='15'){	
						Duracion = 13;
						}
						if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 26;
						}
						if (parseFloat($('cboDuracion').value)=='45'){	
							Duracion = 39;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 52;
						}
						if (parseFloat($('cboDuracion').value)=='75'){	
							Duracion = 65;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion =82;
						}
	    	       }
	    			break;
	    	case "S":
	    	
	    		 if ($('cboDuracion').selectedIndex > -1){
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='15'){	
							Duracion = 2;
						}
						if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 4;
						}
						if (parseFloat($('cboDuracion').value)=='45'){	
							Duracion = 6;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 8;
						}
						if (parseFloat($('cboDuracion').value)=='75'){	
							Duracion = 10;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion = 12;
						}
		    		}

	    			break;
	    	case "Q":
	    	        
	    	        if ($('cboDuracion').selectedIndex > -1){
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='15'){	
							Duracion = 1;
						}
						if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 2;
						}
						if (parseFloat($('cboDuracion').value)=='45'){	
							Duracion = 3;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 4;
						}
						if (parseFloat($('cboDuracion').value)=='75'){	
							Duracion = 5;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion = 6;
						}
		    		}
	    	      
	    			break;
	    	case "M":
	    			
	    			 if ($('cboDuracion').selectedIndex > -1){
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 1;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 2;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion = 3;
						}
		    		}
	    			
	    			break;
	    }
	}else{
		Duracion = 0;
	}
	//alert(Duracion);
	$('txtMontoTotal').value = (monto*(interes/100 + 1)).toFixed('2') ;
	$('txtCuotaPago').value = ((monto*(interes/100 + 1))/Duracion).toFixed('2') ;
}
</script>
<img src="/images/common/spacer.gif" width="10">
 <table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <!--<tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Pagos</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Editar Pagos</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>-->
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%" style="background: #E3E9E2">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0">
			    <tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos del Cliente</I></legend>
    					 <table width="100%" border="0" cellspacing="4" cellpadding="0">
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Nombre </label></td>
								<td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label"><?php echo $Nombre?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Mercado</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label"><?php echo strtoupper($NombreMercado)?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
							  </tr>
						</table>
    					</fieldset>				
    				</td>
                </tr>
                <tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos del Prestamo</I></legend>
    					 <table width="100%" border="0" cellspacing="4" cellpadding="0">
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Fecha Inicio</label></td>
								<td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label">...</label></td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Fecha Final</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label"><?php echo strtoupper($NombreMercado)?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
							  </tr>
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Capital</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label">S/200.00</label></td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Monto Total</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label">S/300.00</label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Interes(%)</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label">10</label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Saldo</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label">S/.10.00</label></td>
							  </tr>
						</table>
    					</fieldset>				
    				</td>
                </tr>
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos de los Pagos</I></legend>
    					 <table width="100%" border="0" cellspacing="3" cellpadding="0">
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label req" for="FechaInicial" >Fecha Inicial</label></td>
								 <td nowrap="nowrap">&nbsp;:&nbsp;<input class="text"  readonly  type="text" name="FechaInicio" id="FechaInicio"  maxlength="10" size="8" value="<?php echo $o_ObjectBean->getFechaInicio()?>" ondblclick="this.value=''" onkeyup="cacularFechaFinal()"/><button type="button" onclick="return false" id="btnFechaInicio">...</button>
								   <script type="text/javascript">
								     document.getElementById("btnFechaInicio").disabled = false;
								     Calendar.setup({
								     inputField : "FechaInicio",
								     ifFormat : "%Y-%m-%d",
								     daFormat : "%Y-%m-%d",
								     button   : "btnFechaInicio"
								     });
								    </script>
								</td> 
								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label req" for="FechaFinal" >Fecha Final</label></td>
<!--								 <td width="38%" nowrap="nowrap">&nbsp;:&nbsp;<input class="text required" id="FechaVencimiento" name="FechaVencimiento" size="10"  maxlength="10" type="text" class="text" value="<?php echo $o_ObjectBean->getFechaVencimiento();?>" readonly='readonly' style="text-align:left;" /></td>-->
                                 <td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label"><?php echo $o_ObjectBean->getFechaVencimiento()?></label></td>
								 <!--<td nowrap="nowrap">&nbsp;:&nbsp;<input class="text"  readonly  type="text" name="FechaVencimiento" id="FechaVencimiento"  maxlength="10" size="8" value="<?php echo $o_ObjectBean->getFechaVencimiento()?>" ondblclick="this.value=''"/><button type="button" onclick="return false" id="btnFechaVencimiento">...</button>
								   <script type="text/javascript">
								     document.getElementById("btnFechaVencimiento").disabled = false;
								     Calendar.setup({
								     inputField : "FechaVencimiento",
								     ifFormat : "%Y-%m-%d",
								     daFormat : "%Y-%m-%d",
								     button   : "btnFechaVencimiento"
								     });
								    </script>
								</td>-->
							   </tr>
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Capital</label></td>
								<td width="38%" nowrap="nowrap">&nbsp;:&nbsp;<input class="text required" id="txtCapital" name="txtCapital" size="15" type="text" class="text" value="<?php echo $o_ObjectBean->getMontoPrestado();?>" onkeyup="cacularTotal()" style="text-align:right;" /></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Intres(%)</label></td>
								
								<td nowrap="nowrap">&nbsp;:&nbsp;
									<select name="cboInteres" id="cboInteres" class="combo required" onchange="cacularTotal();">
										<option value="">-Seleccione-</option>
										<?php 
										for($i=7;$i<=20;$i++){?>
										<option value="<?=$i?>" <?php if($o_ObjectBean->getInteresPorcentaje() == $i) echo " selected = 'selected' "?>><?php echo $i."%"?></option>
										
										<?php	
										}
										?>
									</select>
								</td>
								
							  </tr>
							  <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Monto Total</label></td>
								<td width="38%" nowrap="nowrap">&nbsp;:&nbsp;<input class="text required" id="txtMontoTotal" name="txtMontoTotal" size="15" type="text" class="text" value="<?php echo $o_ObjectBean->getMontoTotal();?>" readonly='readonly' style="text-align:right;" /></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtGastoAdministrativo" >Gasto Admin.</label></td>
								<td width="38%" nowrap="nowrap">&nbsp;:&nbsp;<input class="text" id="txtGastoAdministrativo" name="txtGastoAdministrativo" size="15" type="text" class="text" value="<?php echo $o_ObjectBean->getGastoAdministrativo();?>" style="text-align:right;"/></td>
								
							  </tr>
							   <tr>
								 <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtSaldoPrestamo" >Saldo</label></td>
							     <td width="38%" nowrap="nowrap">&nbsp;:&nbsp;<input class="text" id="txtSaldoPrestamo" name="txtSaldoPrestamo" size="15" type="text" class="text" value="<?php echo $o_ObjectBean->getSaldoPrestamo();?>" readonly='readonly' style="text-align:right;" /></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtCuotaPago" >Cuota Pago</label></td>
							     <td width="38%" nowrap="nowrap">&nbsp;:&nbsp;<input class="text required" id="txtCuotaPago" name="txtCuotaPago" size="15" type="text" class="text" value="<?php echo $o_ObjectBean->getCuotaPago();?>" readonly='readonly' style="text-align:right;" /></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
							   </tr>
							   <tr>
								 <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtAmortizacion" >Amortización</label></td>
							     <td width="38%" nowrap="nowrap">&nbsp;:&nbsp;<input class="text" id="txtAmortizacion" name="txtAmortizacion" size="15" type="text" class="text" value="<?php echo $o_ObjectBean->getSaldoPrestamo();?>" readonly='readonly' style="text-align:right;" /></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtOrigen" >Tipo Prestamo</label></td>
							     <td nowrap="nowrap" >&nbsp;:&nbsp;
							  		</select>
							  		 <select name="cboOrigen" id="cboOrigen" type="text" class="combo required" /> 
									  <option value="REN" <?php  if($o_ObjectBean->getOrigen() == 'REN') echo "selected='selected'"?>>Renovado</option>
									  <option value="REF" <?php  if($o_ObjectBean->getOrigen() == 'REF') echo "selected='selected'"?>>Refinanciado</option>
							  		</select>
								</td>
							   </tr>
							   <tr>
								 <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Forma Pago</label></td>
								 <td nowrap="nowrap" >&nbsp;:&nbsp;
							  		</select>
							  		 <select name="cboFormaPago" id="cboFormaPago" type="text" class="combo required" onchange="cacularTotal();"/> 
									  <option value="D" <?php  if($o_ObjectBean->getPeriodicidadPago() == 'D') echo "selected='selected'"?>>Diario</option>
									  <option value="S" <?php  if($o_ObjectBean->getPeriodicidadPago() == 'S') echo "selected='selected'"?>>Semanal</option>
									  <option value="Q" <?php  if($o_ObjectBean->getPeriodicidadPago() == 'Q') echo "selected='selected'"?>>Quincenal</option>
									  <option value="M" <?php  if($o_ObjectBean->getPeriodicidadPago() == 'M') echo "selected='selected'"?>>Mensual</option>
							  		</select>
								</td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Duraci&oacute;n </label></td>
								 <td nowrap="nowrap" >&nbsp;:&nbsp;
							  		<select name="cboDuracion" id="cboDuracion" class="combo required" onchange="cacularTotal();">
										<option value="">-Seleccione-</option>
										<?php 
										for($i=1;$i<=6;$i++){?>
										<option value="<?=$i*15 ?>" <?php if($o_ObjectBean->getDuracion() == $i*15) echo " selected = 'selected' "?>><?php echo ($i*15)."d&iacute;as"?></option>
										
										<?php	
										}
										?>
									</select>
							  		
								</td>
							  </tr>
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtObservacion">Comentario</label></td>
								<td nowrap="nowrap" colspan="2">&nbsp;&nbsp;<textarea  name="txtObservacion" id="txtObservacion" cols="25" rows="2" ></textarea></td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Estado</label></td>
								<td nowrap="nowrap" >&nbsp;:&nbsp;
							  		</select>
							  		 <select name="cboEstado" id="cboEstado" type="text" class="combo required" /> 
									  <option value="P" <?php  if($o_ObjectBean->getEstado() == 'P') echo "selected='selected'"?>>Pendiente</option>
									  <option value="C" <?php  if($o_ObjectBean->getEstado() == 'C') echo "selected='selected'"?>>Cancelado</option>
							  		</select>
								</td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
							  </tr>
						</table>
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					 <td><img src="/images/common/spacer.gif" width="10"></td>
				  </tr>
				  <tr>
					<td align="center">
					  <input type="hidden" name="typeSubmit" id="typeSubmit">
					  <input type="hidden" name="IdMercado" id="IdMercado" value="<?php echo $IdMercado?>">
					  <input type="hidden" name="IdCliente" id="IdCliente" value="<?php echo $idCliente?>">
					  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
					  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">
					  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
					</td>
				  </tr>
				  <tr>
					<td height="10">&nbsp;</td>
				  </tr>
				</table>
    					</fieldset>				
    		    </td>
               </tr>
    	     </table>
         </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table><?php
  }
}
//$fecha_ini = '2009-06-15';
//echo $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days'));
?>

